%define upstream_name	 Text-NSP
%define upstream_version 1.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    The Ngram Statistics Package 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The module NSP.pm is a stub that doesn't have any real functionality. The real
work is done by five programs:
- count.pl
- statistic.pl
- rank.pl
- combig.pl
- kocos.pl
These are not modules, and are run from the command line. All have extensive
command line help and documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc CHANGES INSTALL META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Text
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.310.0-3.mga6
+ Revision: 1035012
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.310.0-2.mga6
+ Revision: 971340
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 1.310.0-1.mga6
+ Revision: 891570
- update to 1.31

* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-5.mga5
+ Revision: 742889
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.270.0-4.mga5
+ Revision: 725157
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-3.mga5
+ Revision: 686636
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.270.0-2.mga4
+ Revision: 527375
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.270.0-1.mga4
+ Revision: 440010
- update to 1.27

* Sun Jan 13 2013 umeabot <umeabot> 1.250.0-2.mga3
+ Revision: 374126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 1.250.0-1.mga2
+ Revision: 201081
- update to 1.25

* Thu Apr 07 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 81803
- update to 1.23

* Sat Jan 22 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 31329
- mageia rebuild
- imported package perl-Text-NSP


* Wed Nov 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.210.0-1mdv2011.0
+ Revision: 598378
- update to new version 1.21

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.170.0-1mdv2011.0
+ Revision: 552673
- update to 1.17

* Fri Apr 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1.150.0-1mdv2010.1
+ Revision: 533393
- update to 1.15

* Sun Mar 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1.130.0-1mdv2010.1
+ Revision: 515369
- update to 1.13

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.1
+ Revision: 461358
- update to 1.11

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2010.0
+ Revision: 405713
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.09-2mdv2009.0
+ Revision: 268795
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2009.0
+ Revision: 195102
- fix documentation files location

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-2mdv2008.1
+ Revision: 133669
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2007.0
- New version 1.03

* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2007.0
- New version 1.01

* Fri Jun 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.99-1mdv2007.0
- new version
- drop patch, useless anymore

* Tue Jun 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.95-1mdv2007.0
- New version 0.95
- rediff installation patch

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.91-1mdk
- New release 0.91
- rediff installation patch

* Wed Nov 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-2mdk
- install main module man page too 
- install pod documentation

* Wed Nov 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-1mdk
- first mdk release

